Roomability Guest API
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Reservations
Roomability Guest API
  • Admin
    • Authentication
      • Admin Profile
      • Login Admin
      • Admin Logout
      • Forget Password
      • Confirm Reset Password
    • Rooms
      • Get All Rooms
      • Get Room Details
      • Hide Rooms
      • Create Room
      • Update Room
      • Delete Room
    • Apartments
      • Get All Apartments
      • Get Apartment Details
      • Apartment Status
      • Create Apartment
      • Update Apartment
      • Delete Apartment
    • Proposals
      • Fetch All Proposals
      • Delete Proposals
      • Fetch Proposal Details
      • Approve / Decline Proposal
    • Reservations
      • All Reservation
        GET
      • Delete Reservations
        DELETE
      • End / Cancel Reservation
        PATCH
      • Add Reservation
        POST
      • Add Reservation (New)
        POST
      • Send Invoice
        POST
      • Change Reservation ID
        PUT
      • Filter For Reservations
        GET
      • Get Reservation Details
        GET
    • Bookings
      • All Booking Reservation
      • Delete Bookings
      • End / Cancel Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Booking Details
    • Receptionists
      • Create Receptionist
      • View All Receptionist
      • Delete Receptionist
    • Dashboard
      • Get Statistics
    • Schedule Calls
      • View All Schedules
      • Update Schedule Calls
    • Coupons
      • Create Coupon Code
      • Get All Coupon Code
      • Deactivate / Activate Coupon Code
      • Delete Coupon
    • Refunds
      • Get All Refunds
      • Issue a Refund
      • Approve Or Decline Refunds
      • Update Refunds
      • Filter Refund
    • Categories
      • Create Categories
      • Get All Room Types
      • Update Room Category
      • Delete Room Category
    • Payments (New)
      • Confirm Payment (New)
  • Users
    • Proposals
      • Send A Proposal
    • Reservations
      • Get All Reservations
      • Get Active Reservations
      • Extend Reservation
      • Download Invoice
      • Get Reservation Details
    • Authentication
      • User Registration
      • User Profile
      • Forget Password
      • User Login
      • User Logout
      • Update Account
      • Confirm Reset Password
      • Code Verification
    • Payments
      • Verify Payment
      • Payment For Reservation
      • Create Payment Link (New)
      • Confirm Payment (New)
      • Make Payment For Apartment
      • Verify Paid Apartments
    • Coupons
      • Apply Coupons
    • Refunds
      • Issue a Refund
      • Get All Refunds
  • Rooms
    • Get All Rooms
    • View Room Details
    • Filter Rooms
    • Get Avaliable Rooms
  • Apartments
    • Get All Apartments
    • View Apartment Details
    • Get Avaliable Apartments
  • Categories
    • Get All Categories
  • Owners
    • Authentication
      • Code Verification
      • Get Profile
      • Login
      • User Registration
      • Forget Password
      • Update Account Copy
  • Base Endpiont
    GET
  • Health Check
    GET
  • Schedule A Call
    POST
  • Subscribe Email
    POST
  • Cron Jobs
    GET
  • Payment Webhook
    POST
  • New Request
    GET
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Reservations

Filter For Reservations

GET
/admin/reservations/filter
Last modified:2026-03-12 17:03:01

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/admin/reservations/filter?userName=abdullah' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "status": true,
    "message": "QUERY_SUCCESS",
    "data": [
        {
            "_id": "65ead5f5fd94f5ef64cd7393",
            "userId": {
                "_id": "65e6755dd4698a402833921c",
                "firstName": "Abdullah",
                "lastName": "yahaya",
                "email": "abdullahyahaya46@gmail.com",
                "otp": "987193",
                "isActive": true,
                "phone": "08089886354",
                "password": "$2b$10$zYFlEMZVxXO8/QH.wrBGiu03iLUVCN51w0IhIu/bW1K/zEEfUZ4la",
                "payments": [],
                "reservations": [],
                "profilePic": "https://firebasestorage.googleapis.com/v0/b/auto-project-b886c.appspot.com/o/%E2%80%94Pngtree%E2%80%94vector%20avatar%20icon_4013749.png?alt=media&token=b4459809-c06e-4853-b23a-b83e26ff3a60&_gl=1*16csz47*_ga*MTQzNzA4OTc2MC4xNjc3Nzg2NDk3*_ga_CW55HF8NVT*MTY5NjQzOTYxMy4zMS4xLjE2OTY0Mzk2NjcuNi4wLjA.",
                "__v": 0,
                "validId": "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/card%2F1709888480364_0_image%2Fjpeg?alt=media&token=6477a6ab-acdb-4482-a804-d6ac64c717ed"
            },
            "roomName": "Deluxe Suite",
            "fullName": "Abdullah yahaya",
            "invoice": "https://storage.googleapis.com/hotel-project-a01c4.appspot.com/invoice.pdf?GoogleAccessId=firebase-adminsdk-7wnwl%40hotel-project-a01c4.iam.gserviceaccount.com&Expires=1893452400&Signature=S42oYEUuyBEw8K4A0896OowE%2BRLzsWS6hDSoLH5yns4EmwSUlx1SL%2B9BFgO91M4aE9wvN48gvi9MNvKMtkbUPcxFeH%2FHlC4gtQuiFgshE4kL6FfPbuBjTiI7jBoq0PARxMvaLL5yplRXStvSGYuiVF0Ey8UEftxUy0oCtgzFPyNj4u8lRiI9MpADCZol2I7Ng33exVB29j1Oc5c0H4VCEMgiZzVldBNJ99PvgQFJT%2Fc%2FrZ3VsDVe9jY0CqicE1uoockbc8n2JroUR%2BSbB5lv2Ue2U5753aaS77mU9ewWJYpQjcHxxnuMihH0yr4c6U8HM2TpIh3t1JZZk58%2Fr3QJVQ%3D%3D",
            "roomId": {
                "_id": "65730f559dff2b77a883212c",
                "name": "Deluxe Suite",
                "type": "Deluxe Suite",
                "price": 58750,
                "quantity": 14,
                "location": "motherland resort",
                "bookedStatus": false,
                "description": "<p>The Royal Single is a cosy, single-occupancy room featuring a balcony with a serene lake view. It’s tastefully decorated and equipped with practical amenities including a 6 feet by 7 feet bed, storage space, a mini fridge, air conditioning, a smart TV, a hairdryer, and facilities for making tea or coffee. Enjoy the comfort and convenience during your stay.</p>",
                "facilities": [
                    "Air Condition",
                    "Ree Wi-Fi",
                    "Nice View",
                    "24hr Electricity"
                ],
                "comments": [],
                "images": [
                    "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/rooms%2F1702039361318_0_image%2Fjpeg?alt=media&token=e5c9b98a-9c92-4ca8-97f4-354f74732b50",
                    "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/rooms%2F1702039361339_5_image%2Fjpeg?alt=media&token=5f90a5e7-0668-48e1-8a1f-4864bffac816",
                    "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/IMG_3994.JPG?alt=media&token=a08ab4a6-220d-48fe-80fd-645670804fce",
                    "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/IMG_4000.JPG?alt=media&token=205da293-215f-4900-bb62-d4344ceb9463",
                    "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/rooms%2F1702039361363_11_image%2Fjpeg?alt=media&token=99c4685d-6d5b-46e1-9b5d-b8a42457cdd1",
                    "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/rooms%2F1702039361386_14_image%2Fjpeg?alt=media&token=f8ed41b3-8e56-43a3-a095-cd28adb0d9aa"
                ],
                "createdAt": "2023-12-08T12:43:01.094Z",
                "updatedAt": "2024-03-08T09:10:13.867Z",
                "__v": 0,
                "isToggle": "on"
            },
            "roomsTaken": 2,
            "status": "active",
            "nights": 2,
            "fromDate": "2024-11-07T00:00:00.000Z",
            "toDate": "2024-11-09T00:00:00.000Z",
            "location": "motherland resort",
            "validId": "https://storage.googleapis.com/hotel-project-a01c4.appspot.com/card/testing.png?GoogleAccessId=firebase-adminsdk-7wnwl%40hotel-project-a01c4.iam.gserviceaccount.com&Expires=1709938800&Signature=L9TMKllRRzwKMiQb3BYd9IJJ6fS7F13%2FNaSdlsYs8Hp2KG8En7Z5CNDUH1So5s9rlOVI3iAf%2FjxReIiRIXMRTOhP6qJqxOtZHQdxvoQpAsKhQ5gMv1Ze%2BOVb%2B7V0UgKv%2B3o0bp2fNCdfBrlj40Ymv4L2plzAtPYAEkk%2B4etWg6vUd1EnEcdgj6hf1%2F3AmZdRHO20bw%2BPM7AX6eyOXwTKhdU5ll7kOKPl%2BvsUv89FSlBaswv6TdU4b%2FAzfM5XPZ1Yct68CM%2FGgfcbSTe5%2Bgf2ai5DTOZ%2BdfRXxP%2F5GwLWX1UIs7E1YfT8lsllhcisXODXJ7jp8sUULf4Q9GNteFhGdA%3D%3D",
            "reservation": {
                "type": "self",
                "_id": "65ead5b6fd94f5ef64cd738c"
            },
            "paymentId": "65ead5b6fd94f5ef64cd738b",
            "isAdmin": false,
            "createdAt": "2024-03-08T09:10:13.491Z",
            "updatedAt": "2024-03-08T09:47:34.418Z",
            "__v": 0
        },
        {
            "_id": "65ead20b711948f743970f26",
            "userId": {
                "_id": "65e6755dd4698a402833921c",
                "firstName": "Abdullah",
                "lastName": "yahaya",
                "email": "abdullahyahaya46@gmail.com",
                "otp": "987193",
                "isActive": true,
                "phone": "08089886354",
                "password": "$2b$10$zYFlEMZVxXO8/QH.wrBGiu03iLUVCN51w0IhIu/bW1K/zEEfUZ4la",
                "payments": [],
                "reservations": [],
                "profilePic": "https://firebasestorage.googleapis.com/v0/b/auto-project-b886c.appspot.com/o/%E2%80%94Pngtree%E2%80%94vector%20avatar%20icon_4013749.png?alt=media&token=b4459809-c06e-4853-b23a-b83e26ff3a60&_gl=1*16csz47*_ga*MTQzNzA4OTc2MC4xNjc3Nzg2NDk3*_ga_CW55HF8NVT*MTY5NjQzOTYxMy4zMS4xLjE2OTY0Mzk2NjcuNi4wLjA.",
                "__v": 0,
                "validId": "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/card%2F1709888480364_0_image%2Fjpeg?alt=media&token=6477a6ab-acdb-4482-a804-d6ac64c717ed"
            },
            "roomName": "Deluxe Suite",
            "fullName": "Abdullah yahaha",
            "invoice": "https://storage.googleapis.com/hotel-project-a01c4.appspot.com/invoice.pdf?GoogleAccessId=firebase-adminsdk-7wnwl%40hotel-project-a01c4.iam.gserviceaccount.com&Expires=1893452400&Signature=S42oYEUuyBEw8K4A0896OowE%2BRLzsWS6hDSoLH5yns4EmwSUlx1SL%2B9BFgO91M4aE9wvN48gvi9MNvKMtkbUPcxFeH%2FHlC4gtQuiFgshE4kL6FfPbuBjTiI7jBoq0PARxMvaLL5yplRXStvSGYuiVF0Ey8UEftxUy0oCtgzFPyNj4u8lRiI9MpADCZol2I7Ng33exVB29j1Oc5c0H4VCEMgiZzVldBNJ99PvgQFJT%2Fc%2FrZ3VsDVe9jY0CqicE1uoockbc8n2JroUR%2BSbB5lv2Ue2U5753aaS77mU9ewWJYpQjcHxxnuMihH0yr4c6U8HM2TpIh3t1JZZk58%2Fr3QJVQ%3D%3D",
            "roomId": {
                "_id": "65730f559dff2b77a883212c",
                "name": "Deluxe Suite",
                "type": "Deluxe Suite",
                "price": 58750,
                "quantity": 14,
                "location": "motherland resort",
                "bookedStatus": false,
                "description": "<p>The Royal Single is a cosy, single-occupancy room featuring a balcony with a serene lake view. It’s tastefully decorated and equipped with practical amenities including a 6 feet by 7 feet bed, storage space, a mini fridge, air conditioning, a smart TV, a hairdryer, and facilities for making tea or coffee. Enjoy the comfort and convenience during your stay.</p>",
                "facilities": [
                    "Air Condition",
                    "Ree Wi-Fi",
                    "Nice View",
                    "24hr Electricity"
                ],
                "comments": [],
                "images": [
                    "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/rooms%2F1702039361318_0_image%2Fjpeg?alt=media&token=e5c9b98a-9c92-4ca8-97f4-354f74732b50",
                    "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/rooms%2F1702039361339_5_image%2Fjpeg?alt=media&token=5f90a5e7-0668-48e1-8a1f-4864bffac816",
                    "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/IMG_3994.JPG?alt=media&token=a08ab4a6-220d-48fe-80fd-645670804fce",
                    "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/IMG_4000.JPG?alt=media&token=205da293-215f-4900-bb62-d4344ceb9463",
                    "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/rooms%2F1702039361363_11_image%2Fjpeg?alt=media&token=99c4685d-6d5b-46e1-9b5d-b8a42457cdd1",
                    "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/rooms%2F1702039361386_14_image%2Fjpeg?alt=media&token=f8ed41b3-8e56-43a3-a095-cd28adb0d9aa"
                ],
                "createdAt": "2023-12-08T12:43:01.094Z",
                "updatedAt": "2024-03-08T09:10:13.867Z",
                "__v": 0,
                "isToggle": "on"
            },
            "roomsTaken": 2,
            "status": "active",
            "nights": 2,
            "fromDate": "2024-11-07T00:00:00.000Z",
            "toDate": "2024-11-09T00:00:00.000Z",
            "location": "motherland resort",
            "reservation": {
                "others": {
                    "fullName": "Abdullah John",
                    "email": "abdullahyahaya48@gmail.com",
                    "phoneNumber": "080809887650",
                    "validId": "https://storage.googleapis.com/hotel-project-a01c4.appspot.com/card/test.png?GoogleAccessId=firebase-adminsdk-7wnwl%40hotel-project-a01c4.iam.gserviceaccount.com&Expires=1709938800&Signature=PauzEuViOfeV%2BCpNOvluy8gv4ZPjBuw3DKlO9DOJQEu0obTy4r7P09i4NLlVbdAFJLYMG03KUrKb8eHvRbPz3Xx2PZk5uoVHZiEluia8jhE2smka%2BKFe46egmdIlAKrB9OUtT1WoyufS5CLnG0WeIzY0%2FvmLqaUsFvy9r8f3giIxP7tJ2pcRISKr0MKAdnzdxyJF5IRaiwgGDt80O%2B6qPEzKtTO%2B7Q6vY3d3BFnxtcTyD272wsqpYSPrV1PkqfRxSrMD1SML6RMx0h%2BwZDJTO5mqF78EePLzt7AlGTHTqbTpJ89hA2otv6%2FqZ2hhWwUEv1Pd84TCUGrDGNIhCuPIcQ%3D%3D"
                },
                "type": "others",
                "_id": "65ead031c6e5bb20b192a048"
            },
            "paymentId": "65ead031c6e5bb20b192a047",
            "isAdmin": false,
            "createdAt": "2024-03-08T08:53:31.605Z",
            "updatedAt": "2024-03-08T08:53:31.605Z",
            "__v": 0
        }
    ]
}
Modified at 2026-03-12 17:03:01
Previous
Change Reservation ID
Next
Get Reservation Details
Built with